## EShellTaskbar EShellTaskbar — the bottom of the main window |

## Functions

GtkWidget * | e_shell_taskbar_new ()
struct _EShellView * | e_shell_taskbar_get_shell_view ()
const gchar * | e_shell_taskbar_get_message ()
void | e_shell_taskbar_set_message ()
void | e_shell_taskbar_unset_message ()
guint | e_shell_taskbar_get_activity_count ()

## Types and Values

struct | EShellTaskbar

## Includes

    #include <shell/e-shell-taskbar.h>

## Description

## Functions

### e_shell_taskbar_new ()

    GtkWidget *
    e_shell_taskbar_new (struct _EShellView *shell_view);

`e_shell_taskbar_new` is deprecated and should not be used in newly-written code.

Creates a new EShellTaskbar instance belonging to `shell_view` .

#### Parameters

shell_view | an EShellView |

#### Returns

a new EShellTaskbar instance

### e_shell_taskbar_get_shell_view ()

    struct _EShellView *
    e_shell_taskbar_get_shell_view (EShellTaskbar *shell_taskbar);

`e_shell_taskbar_get_shell_view` is deprecated and should not be used in newly-written code.

Returns the EShellView that was passed to `e_shell_taskbar_new()`.

#### Parameters

shell_taskbar | an EShellTaskbar |

#### Returns

the EShellView to which `shell_taskbar` belongs

### e_shell_taskbar_get_message ()

    const gchar *
    e_shell_taskbar_get_message (EShellTaskbar *shell_taskbar);

`e_shell_taskbar_get_message` is deprecated and should not be used in newly-written code.

Returns the message currently shown in the taskbar, or an empty string if no message is shown. Taskbar messages are used primarily for menu tooltips.

#### Parameters

shell_taskbar | an EShellTaskbar |

#### Returns

the current taskbar message

### e_shell_taskbar_set_message ()

    void
    e_shell_taskbar_set_message (EShellTaskbar *shell_taskbar,
                                 const gchar *message);

`e_shell_taskbar_set_message` is deprecated and should not be used in newly-written code.

Shows a message in the taskbar. If `message` is `NULL` or an empty string, the taskbar message is cleared. Taskbar messages are used primarily for menu tooltips.

#### Parameters

shell_taskbar | an EShellTaskbar |
message | the message to show |

### e_shell_taskbar_unset_message ()

    void
    e_shell_taskbar_unset_message (EShellTaskbar *shell_taskbar);

`e_shell_taskbar_unset_message` is deprecated and should not be used in newly-written code.

This is equivalent to passing a `NULL` message to `e_shell_taskbar_set_message()`.

#### Parameters

shell_taskbar | an EShellTaskbar |

### e_shell_taskbar_get_activity_count ()

    guint
    e_shell_taskbar_get_activity_count (EShellTaskbar *shell_taskbar);

`e_shell_taskbar_get_activity_count` is deprecated and should not be used in newly-written code.

Returns the number of active EActivity instances being tracked.

#### Parameters

shell_taskbar | an EShellTaskbar |

#### Returns

the number of EActivity instances

## Types and Values

### struct EShellTaskbar

    struct EShellTaskbar {
    	GtkBox parent;
    	EShellTaskbarPrivate *priv;
    };

`EShellTaskbar` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.